Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::NameValuePairSeq Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::NameValuePairSeq:

[legend]
Collaboration diagram for DynamicAny::NameValuePairSeq:

[legend]
List of all members.

## Public Types
typedef NameValuePairSeq_var | _var_type
## Public Methods
| NameValuePairSeq (void)
| NameValuePairSeq (CORBA::ULong max)
| NameValuePairSeq (CORBA::ULong max, CORBA::ULong length, NameValuePair *buffer, CORBA::Boolean release=0)
| NameValuePairSeq (const NameValuePairSeq &)
| ~NameValuePairSeq (void)

## Member Typedef Documentation

typedef NameValuePairSeq_var DynamicAny::NameValuePairSeq::_var_type

## Constructor & Destructor Documentation

DynamicAny::NameValuePairSeq::NameValuePairSeq | ( | void |  | ) |

DynamicAny::NameValuePairSeq::NameValuePairSeq | ( | CORBA::ULong | max | ) |

DynamicAny::NameValuePairSeq::NameValuePairSeq | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | NameValuePair * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

DynamicAny::NameValuePairSeq::NameValuePairSeq | ( | const NameValuePairSeq & |  | ) |

DynamicAny::NameValuePairSeq::~NameValuePairSeq | ( | void |  | ) |

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp